function TableModel()
{
  this.tableCartes = new Array(10); 
  this.tableIndex = new Array(40); 
}
 
TableModel.prototype.getTbleCartes = function(){
        return this.tableCartes;
    };
   
    TableModel.prototype.setTbleCartes = function(tableCartes){
        this.tableCartes = tableCartes;
    };		
	
	
	TableModel.prototype.getTableIndex = function(){
        return this.tableCartes;
    };
   
    TableModel.prototype.setTableIndex = function(tableIndex){
        this.tableCartes = tableCartes;
    };	
	
	 TableModel.prototype.TableCartesFull = function(){
	     for (var i = 0; i < 10; i++)
            {
			    this.tableCartes[i] = new Array(4) ; 
                for (var j= 0 ; j< 4 ; j++)
                {
				    
                    if (i >= 7)
                    {
                        this.tableCartes[i][j] = 0.5;
                    }
                    else
                    {
                        this.tableCartes[i][j] = i+1;
                    }
                    
                }
				
                
            }
	   
       return this.tableCartes;
    };	
	


